import 'package:example/register.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:retgoo_sdk/retgoo_sdk.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  GestureBinding.instance.resamplingEnabled = true;
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return RetGooApp(
      title: "RetGoo Portal",
      serverHost: "192.168.1.21:14335",
      userTasks: userTasks,
      theme: ThemeData(
        fontFamily: 'Raleway',
        primarySwatch: Colors.indigo,
        primaryColor: Colors.indigo.shade900,
        inputDecorationTheme: InputDecorationTheme(
          border: OutlineInputBorder(
            borderSide: BorderSide.none,
          ),
          filled: true,
        ),
        cardTheme: CardTheme(
          clipBehavior: Clip.antiAlias,
          elevation: 8.0,
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(8.0),
          ),
          shadowColor: Colors.black.withOpacity(0.5),
        ),
      ),
    );
  }
}
