import 'package:flutter/material.dart';
import 'package:retgoo_sdk/retgoo_sdk.dart';
import 'package:retgoo_sdk/widgets/custom/variable_text_field.dart';

class FrmInformasiPersetujuan extends UserTask {
  final bool approved;
  FrmInformasiPersetujuan({this.approved = false});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Permohonan Izin"),
      ),
      body: Container(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            Text(
              "Permohonan Izin telah ${approved ? "disetujui" : "ditolak"}",
              style: TextStyle(
                fontSize: 16.0,
                fontWeight: FontWeight.bold,
              ),
            ),
            const SizedBox(
              height: 16.0,
            ),
            VariableTextField(
              variable: variable("NamaPemohon"),
              readOnly: true,
              decoration: InputDecoration(
                labelText: "Nama Pemohon",
              ),
            ),
            const SizedBox(
              height: 8.0,
            ),
            VariableTextField(
              variable: variable("Alasan"),
              readOnly: true,
              decoration: InputDecoration(
                labelText: "Alasan",
              ),
              minLines: 5,
              maxLines: 10,
            ),
            const SizedBox(
              height: 8.0,
            ),
            VariableTextField(
              variable: variable("Catatan"),
              readOnly: true,
              decoration: InputDecoration(
                labelText: "Catatan",
              ),
              minLines: 5,
              maxLines: 10,
            ),
            const SizedBox(
              height: 8.0,
            ),
            RaisedButton(
              color: Colors.blue,
              textColor: Colors.white,
              child: Text("Selesai"),
              onPressed: () async {
                final result = await executeFlowButton(
                  approved
                      ? "5ba849ca-9d70-4455-93ea-d302b3e0a3e7"
                      : "605c0d8c-da54-4b2e-b504-7350bd1665f7",
                );
              },
            ),
          ],
        ),
      ),
    );
  }
}
