import 'package:flutter/material.dart';
import 'package:retgoo_sdk/retgoo_sdk.dart';
import 'package:retgoo_sdk/widgets/custom/variable_text_field.dart';

class FrmInputPermohonanIzin extends UserTask {
  final bool revisi;
  FrmInputPermohonanIzin({this.revisi = false});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Permohonan Izin"),
      ),
      body: Center(
        child: Container(
          padding: const EdgeInsets.all(16.0),
          constraints: BoxConstraints(
            maxWidth: 400,
          ),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: [
              Image.asset(
                "images/img1.png",
                height: 200,
              ),
              const SizedBox(
                height: 8.0,
              ),
              if (revisi) ...[
                VariableTextField(
                  variable: variable("Catatan"),
                  decoration: InputDecoration(
                    labelText: "Catatan",
                  ),
                  minLines: 3,
                  maxLines: 5,
                  readOnly: true,
                ),
                const Divider(
                  height: 64.0,
                ),
              ],
              VariableTextField(
                variable: variable("NamaPemohon"),
                decoration: InputDecoration(
                  labelText: "Nama Pemohon",
                  prefixIcon: Icon(Icons.person),
                ),
              ),
              const SizedBox(
                height: 8.0,
              ),
              VariableTextField(
                variable: variable("Alasan"),
                decoration: InputDecoration(
                  labelText: "Alasan",
                ),
                minLines: 5,
                maxLines: 10,
                validator: (value) {
                  if (value?.isEmpty ?? true) {
                    return "alasan tidak boleh kosong";
                  }
                  return null;
                },
              ),
              const SizedBox(
                height: 8.0,
              ),
              RaisedButton(
                color: Colors.blue,
                textColor: Colors.white,
                child: Text("Ajukan Permohonan"),
                onPressed: () async {
                  if (valid) {
                    variable("ApprovalType").rawValue = "0";

                    if (revisi) {
                      await executeFlowButton(
                        "c30efe48-1732-4ff0-9ac5-985012b36477",
                      );
                    } else {
                      await executeFlowButton(
                          "c71913e6-7f55-4e94-879f-cfa3d9346515");
                    }
                  }
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
