import 'package:flutter/material.dart';
import 'package:retgoo_sdk/retgoo_sdk.dart';
import 'package:retgoo_sdk/widgets/custom/variable_text_field.dart';

class FrmPeriksaPermohonanIzin extends UserTask {
  String flowButtonId = "2047d5df-87a1-4411-95c0-268c6595878f";

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Permohonan Izin"),
      ),
      body: SingleChildScrollView(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            VariableTextField(
              variable: variable("NamaPemohon"),
              decoration: InputDecoration(
                labelText: "Nama Pemohon",
              ),
              readOnly: true,
            ),
            const SizedBox(
              height: 8.0,
            ),
            VariableTextField(
              variable: variable("Alasan"),
              decoration: InputDecoration(
                labelText: "Alasan",
              ),
              minLines: 5,
              maxLines: 10,
              readOnly: true,
            ),
            const SizedBox(
              height: 24.0,
            ),
            Text(
              "Tindakan",
              style: TextStyle(
                fontSize: 16.0,
                fontWeight: FontWeight.bold,
              ),
            ),
            const SizedBox(
              height: 8.0,
            ),
            VariableTextField(
              variable: variable("Catatan"),
              decoration: InputDecoration(
                hintText: "Catatan tindakan",
              ),
              minLines: 5,
              maxLines: 10,
            ),
            const SizedBox(
              height: 8.0,
            ),
            Row(
              children: [
                Expanded(
                  child: RaisedButton(
                    color: Colors.blue,
                    textColor: Colors.white,
                    child: Text("Setujui"),
                    onPressed: () async {
                      variable("ApprovalType").rawValue = "2";
                      final result = await executeFlowButton(flowButtonId);
                      print(result);
                    },
                  ),
                ),
                const SizedBox(
                  width: 8.0,
                ),
                Expanded(
                  child: RaisedButton(
                    color: Colors.blue,
                    textColor: Colors.white,
                    child: Text("Tolak"),
                    onPressed: () async {
                      variable("ApprovalType").rawValue = "0";
                      final result = await executeFlowButton(flowButtonId);
                      print(result);
                    },
                  ),
                ),
                const SizedBox(
                  width: 8.0,
                ),
                Expanded(
                  child: RaisedButton(
                    color: Colors.blue,
                    textColor: Colors.white,
                    child: Text("Revisi"),
                    onPressed: () async {
                      variable("ApprovalType").rawValue = "1";
                      final result = await executeFlowButton(flowButtonId);
                      print(result);
                    },
                  ),
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
