import 'package:retgoo_sdk/protocol/api.dart';

class DBCommand {
  static String _decodeQuery(String query) {
    String result = query;
    RegExp exp = RegExp(r"@([A-Za-z0-9\_]+)");
    for (var match in exp.allMatches(query)) {
      String originalStr = match.group(0);
      String name = match.group(1);
      result = result.replaceAll(originalStr, ":$name").trimRight();
    }

    return result;
  }

  static Future<bool> execute(
      {String query, Map<String, dynamic> parameters}) async {
    final sql = _decodeQuery(query);

    final arg = {"query": sql, "parameters": parameters, "fetch_row": false};
    final response = await api.post("service/executedb", data: arg);
    if (response.statusCode == 200) {
      if (response.data["success"]) {
        return true;
      }
    }

    return false;
  }

  static Future<List<Map<String, dynamic>>> fetch(
      {String query, Map<String, dynamic> parameters}) async {
    final sql = _decodeQuery(query);

    final arg = {"query": sql, "parameters": parameters, "fetch_row": true};
    final response = await api.post("service/executedb", data: arg);
    if (response.statusCode == 200) {
      if (response.data["success"]) {
        return response.data["data"];
      }
    }

    return [];
  }
}
