import 'package:json_annotation/json_annotation.dart';

part 'configuration.g.dart';

@JsonSerializable()
class ServerConfiguration {
  @JsonKey(name: "channel")
  String channel;

  @JsonKey(name: "information")
  Company company;

  ServerConfiguration();

  factory ServerConfiguration.fromJson(Map<String, dynamic> json) =>
      _$ServerConfigurationFromJson(json);
  Map<String, dynamic> toJson() => _$ServerConfigurationToJson(this);
}

@JsonSerializable()
class Company {
  @JsonKey(name: "company_name_prefix")
  String namePrefix;

  @JsonKey(name: "company_name")
  String name;

  @JsonKey(name: "company_address")
  String address;

  Company();

  factory Company.fromJson(Map<String, dynamic> json) =>
      _$CompanyFromJson(json);
  Map<String, dynamic> toJson() => _$CompanyToJson(this);
}
