import 'package:json_annotation/json_annotation.dart';
import 'package:retgoo_sdk/models/variable.dart';

part 'directform.g.dart';

@JsonSerializable()
class DirectForm {
  @JsonKey(name: "IdProcessInstance")
  int idProcessInstance;

  @JsonKey(name: "IdMasterProcess")
  int idMasterProcess;

  @JsonKey(name: "MasterProcessName")
  String masterProcessName;

  @JsonKey(name: "ProcessName")
  String processName;

  @JsonKey(name: "TaskInfo")
  TaskInfo taskInfo;

  @JsonKey(name: "Diagram")
  Diagram diagram;

  @JsonKey(name: "Variable")
  BusinessData variable;

  DirectForm();

  factory DirectForm.fromJson(Map<String, dynamic> json) =>
      _$DirectFormFromJson(json);
  Map<String, dynamic> toJson() => _$DirectFormToJson(this);

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is DirectForm &&
          runtimeType == other.runtimeType &&
          idProcessInstance == other.idProcessInstance;

  @override
  int get hashCode => idProcessInstance.hashCode;
}

@JsonSerializable()
class Diagram {
  @JsonKey(name: "Bpmn20Export")
  String bpmn20Export;
  Diagram();

  factory Diagram.fromJson(Map<String, dynamic> json) =>
      _$DiagramFromJson(json);
  Map<String, dynamic> toJson() => _$DiagramToJson(this);
}

@JsonSerializable()
class TaskInfo {
  @JsonKey(name: "MainForm")
  UserFormTask mainForm;
  TaskInfo();

  factory TaskInfo.fromJson(Map<String, dynamic> json) =>
      _$TaskInfoFromJson(json);
  Map<String, dynamic> toJson() => _$TaskInfoToJson(this);
}

@JsonSerializable()
class UserFormTask {
  @JsonKey(name: "TaskId")
  String taskId;

  @JsonKey(name: "TaskName")
  String taskName;

  @JsonKey(name: "IdToken")
  int idToken;

  @JsonKey(name: "IdTokenForm")
  int idTokenForm;

  UserFormTask();

  factory UserFormTask.fromJson(Map<String, dynamic> json) =>
      _$UserFormTaskFromJson(json);
  Map<String, dynamic> toJson() => _$UserFormTaskToJson(this);
}
