import 'package:json_annotation/json_annotation.dart';

part 'process_activity.g.dart';

@JsonSerializable()
class ProcessActivity {
  @JsonKey(name: "id")
  int id;

  @JsonKey(name: "lanename")
  String laneName;

  @JsonKey(name: "sla_time")
  int slaTime;

  @JsonKey(name: "device_os")
  String deviceOS;

  @JsonKey(name: "staff_name")
  String staffName;

  @JsonKey(name: "device_name")
  String deviceName;

  @JsonKey(name: "id_instance")
  int idInstance;

  @JsonKey(name: "portal_type")
  int portalType;

  @JsonKey(name: "completed_by")
  int completedBy;

  @JsonKey(name: "date_created")
  DateTime dateCreated;

  @JsonKey(name: "element_type")
  int elementType;

  @JsonKey(name: "is_completed")
  bool isCompleted;

  @JsonKey(name: "activity_name")
  String activityName;

  @JsonKey(name: "activity_state")
  int activityState;

  @JsonKey(name: "date_completed")
  DateTime dateCompleted;

  @JsonKey(name: "date_send_coach")
  DateTime dateSendCoach;

  @JsonKey(name: "id_current_flow")
  String idCurrentFlow;

  @JsonKey(name: "openned_counter")
  int opennedCounter;

  @JsonKey(name: "id_parent_activity")
  String idParentActivity;

  @JsonKey(name: "parent_activity_name")
  String parentActivityName;

  ProcessActivity();

  factory ProcessActivity.fromJson(Map<String, dynamic> json) =>
      _$ProcessActivityFromJson(json);
  Map<String, dynamic> toJson() => _$ProcessActivityToJson(this);

  @override
  bool operator ==(Object other) =>
      identical(this, other) ||
      other is ProcessActivity &&
          runtimeType == other.runtimeType &&
          id == other.id;

  @override
  int get hashCode => id.hashCode;
}
