import 'dart:typed_data';

import 'package:json_annotation/json_annotation.dart';

part 'user.g.dart';

@JsonSerializable()
class User {
  @JsonKey(name: "id")
  int id;

  @JsonKey(name: "username")
  String username;

  @JsonKey(name: "password")
  String password;

  @JsonKey(name: "password_encrypt")
  String passwordEncrypt;

  @JsonKey(name: "first_name")
  String firstName;

  @JsonKey(name: "last_name")
  String lastName;

  String get fullName => "${firstName ?? ""} ${lastName ?? ""}".trim();

  @JsonKey(name: "password_key")
  String passwordKey;

  @JsonKey(name: "id_image")
  int idImage;

  @JsonKey(name: "sex")
  int sex;

  @JsonKey(name: "is_two_step_login")
  bool isTwoStepLogin;

  @JsonKey(name: "image48")
  String image48;

  @JsonKey(ignore: true)
  Uint8List imageBytes;

  User();

  factory User.fromJson(Map<String, dynamic> json) => _$UserFromJson(json);
  Map<String, dynamic> toJson() => _$UserToJson(this);
}
