import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:retgoo_sdk/providers/authentication_provider.dart';

class LoginPage extends StatefulWidget {
  LoginPage({Key key}) : super(key: key);

  @override
  _LoginPageState createState() => _LoginPageState();
}

class _LoginPageState extends State<LoginPage> {
  final txtUsername = TextEditingController();
  final txtPassword = TextEditingController();

  @override
  void dispose() {
    txtUsername.dispose();
    txtPassword.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: buildBody(),
    );
  }

  buildBody() {
    return Center(
      child: Card(
        child: SizedBox(
          width: 350,
          child: Padding(
            padding: const EdgeInsets.all(24.0),
            child: Column(
              mainAxisSize: MainAxisSize.min,
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.stretch,
              children: [
                TextField(
                  controller: txtUsername,
                  decoration: InputDecoration(
                    border: InputBorder.none,
                    hintText: "Username",
                    prefixIcon: Icon(Icons.person),
                  ),
                  autofillHints: [
                    AutofillHints.username,
                  ],
                ),
                const Divider(),
                TextField(
                  obscureText: true,
                  controller: txtPassword,
                  decoration: InputDecoration(
                    border: InputBorder.none,
                    hintText: "Password",
                    prefixIcon: Icon(Icons.lock),
                  ),
                  autofillHints: [
                    AutofillHints.password,
                  ],
                ),
                const SizedBox(
                  height: 8.0,
                ),
                FlatButton(
                  color: Colors.indigo,
                  textColor: Colors.white,
                  child: Text("LOGIN NOW"),
                  onPressed: () {
                    Provider.of<AuthenticationProvider>(context, listen: false)
                        .login(
                      username: txtUsername.text,
                      password: txtPassword.text,
                    );
                  },
                )
              ],
            ),
          ),
        ),
      ),
    );
  }
}
