import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class WebviewPage extends StatelessWidget {
  final String htmlText;
  final String url;
  final String title;

  const WebviewPage({Key key, this.htmlText, this.url, this.title = "Webview"})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(title),
      ),
      body: WebView(
        initialUrl: url,
        onWebViewCreated: (controller) async {
          if (url != null) return;
          final String base64Html = base64.encode(utf8.encode(htmlText));
          await controller.loadUrl('data:text/html;base64,$base64Html');
        },
      ),
    );
  }
}
