import 'package:dio/dio.dart';

String baseURL;
String accessToken;

final api = Dio(BaseOptions(
  responseType: ResponseType.json,
))
  ..interceptors.add(
    InterceptorsWrapper(
      onRequest: (request) {
        request.baseUrl = "http://$baseURL/api/";
        if (accessToken != null) {
          request.headers["Authorization"] = "Bearer $accessToken";
        }
      },
    ),
  );
