import 'package:flutter/material.dart';
import 'package:retgoo_sdk/models/notification.dart';
import 'package:retgoo_sdk/protocol/api.dart';

class NotificationProvider with ChangeNotifier {
  NotificationList _list;
  NotificationList get list => _list;

  NotificationProvider() {
    refresh();
  }

  Future<void> refresh() async {
    final result = await api.get("process/GetNotificationList");
    if (result.statusCode == 200) {
      _list = NotificationList.fromJson(result.data);
      notifyListeners();
    }
  }
}
