import 'package:xml/xml.dart';

class XMLCreator {
  XmlBuilder builder = XmlBuilder();

  XMLCreator({bool optimizedNameSpaces = true}) {
    builder = XmlBuilder(optimizeNamespaces: optimizedNameSpaces);
  }

  void addProcessing({String addedAttribute}) {
    builder.processing("xml", 'version="1.0" $addedAttribute');
  }

  void addElement(String elementName, {Object nest}) {
    builder.element(elementName, nest: nest);
  }

  void addAttribute(String attributeName, Object value) {
    builder.attribute(attributeName, value);
  }

  String finish({prettyXML = true}) {
    return builder.buildDocument().toXmlString(pretty: prettyXML);
  }

  void addNamespace(String uri, {String prefix}) {
    builder.namespace(uri, prefix);
  }

  void addCData(Object value) {
    builder.cdata(value);
  }
}
