import 'package:flutter/material.dart';
import 'package:retgoo_sdk/models/variable.dart';

class VariableTextField extends StatefulWidget {
  final VariableValue variable;
  final InputDecoration decoration;
  final int minLines;
  final int maxLines;
  final FormFieldValidator<String> validator;
  final bool readOnly;
  VariableTextField({
    Key key,
    @required this.variable,
    this.decoration,
    this.minLines,
    this.maxLines,
    this.validator,
    this.readOnly = false,
  }) : super(key: key);

  @override
  _VariableTextFieldState createState() => _VariableTextFieldState();
}

class _VariableTextFieldState extends State<VariableTextField> {
  final controller = TextEditingController();
  @override
  void initState() {
    super.initState();
    controller.text = widget.variable.asString();
    controller.addListener(() {
      widget.variable.rawValue = controller.text;
    });
  }

  @override
  void dispose() {
    controller.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return TextFormField(
      controller: controller,
      decoration: widget.decoration,
      minLines: widget.minLines,
      maxLines: widget.maxLines,
      validator: widget.validator,
      readOnly: widget.readOnly,
    );
  }
}
